diff -Nurp doclifter-2.3.orig//debian/changelog doclifter-2.3/debian/changelog
--- doclifter-2.3.orig//debian/changelog	2010-05-10 19:48:25.000000000 +0200
+++ doclifter-2.3/debian/changelog	2010-05-10 21:57:35.000000000 +0200
@@ -1,3 +1,11 @@
+doclifter (2.3-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add patch for python2.6 issues. Closes: #580246.
+  * Build-depend on quilt, and modify accordingly debian/rules.
+
+ -- Serafeim Zanikolas <sez@debian.org>  Mon, 10 May 2010 19:59:31 +0200
+
 doclifter (2.3-2) unstable; urgency=low
 
   * New maintainer.  Closes: #470885.
diff -Nurp doclifter-2.3.orig//debian/control doclifter-2.3/debian/control
--- doclifter-2.3.orig//debian/control	2010-05-10 19:48:25.000000000 +0200
+++ doclifter-2.3/debian/control	2010-05-10 20:26:49.000000000 +0200
@@ -5,7 +5,7 @@ Maintainer: Jeff Licquia <licquia@debian
 Homepage: http://www.catb.org/~esr/doclifter/
 Vcs-Bzr: http://bzr.licquia.org/doclifter/debian/
 Vcs-Browser: http://bzr.licquia.org/loggerhead/doclifter/debian/
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), quilt
 Standards-Version: 3.7.3
 
 Package: doclifter
diff -Nurp doclifter-2.3.orig//debian/patches/python26-fixes.patch doclifter-2.3/debian/patches/python26-fixes.patch
--- doclifter-2.3.orig//debian/patches/python26-fixes.patch	1970-01-01 01:00:00.000000000 +0100
+++ doclifter-2.3/debian/patches/python26-fixes.patch	2010-05-10 22:33:11.000000000 +0200
@@ -0,0 +1,72 @@
+# Description: apply fixes for python2.6:
+#    - remove import of obsolete package sre (replaced it with re)
+#    - rename 'with' variable as 'with_var' and 'as' as 'as_var'
+#    - replace 'string' exception with an Exception subclass object
+# Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580246
+# Origin: http://patches.ubuntu.com/d/doclifter/doclifter_2.3-2ubuntu1.patch
+# Author: Mathieu Comandon <strycore@gmail.com>
+# Author: Serafeim Zanikolas <sez@debian.org>
+--- a/doclifter
++++ b/doclifter
+@@ -126,7 +126,7 @@
+ $Id: doclifter,v 1.1336 2006/12/22 14:41:03 esr Exp $
+ """
+ # Requires Python 2.2a
+-import sys, os, glob, re, sre, string, exceptions, copy, tempfile, time, pprint
++import sys, os, glob, re, string, exceptions, copy, tempfile, time, pprint
+ 
+ # This is a speed hack recommended by Armin Rigo.  It cuts runtime by about 33%
+ # and makes it possible for psyco 1.2 to reduce runtime another 33%.
+@@ -349,6 +349,10 @@
+         self.message = message
+         self.retval = retval
+ 
++class DropoutException(exceptions.Exception):
++    "Hack to escaope out of a depply nested block."
++    pass
++
+ class SemanticHintsRegistry:
+     "Represent all the semantic information gathered during a run."
+     def __init__(self):
+@@ -370,7 +374,7 @@
+                 text = re_compile(with_hi).sub(r"<%s>\1</%s>"%(tag,ender),text)
+                 text = re_compile(r"\b("+token+")\b").sub(r"<%s>\1</%s>" % (tag, ender), text)
+                 pass
+-            except sre.sre_compile.error:
++            except re.error:
+                 pass
+         return text
+     def read(self, input):
+@@ -385,8 +389,8 @@
+             if line.startswith('.\\" | '):
+                 print line
+                 # Someday we'll have more declarations
+-                (mark, token, as, markup) = line[5:].split()
+-                if mark != "mark" or as != "as":
++                (mark, token, as_var, markup) = line[5:].split()
++                if mark != "mark" or as_var != "as":
+                     continue
+                 self.post(token, markup)
+     def __repr__(self):
+@@ -1252,8 +1256,8 @@
+                     for j in range(len(tbl[tbli])):
+                         if tbl[tbli][j][0] == '^':
+                             lastheaderline = tbli - 2;
+-                            raise "dropout"
+-            except "dropout":
++                            raise DropoutException()
++            except DropoutException:
+                 pass
+             if lastheaderline < 0 and rowsep:
+                 # Our first fallback is the location of the first ruler line.
+@@ -6370,8 +6374,8 @@
+         return result
+     def styleargs(self, args, tag, attribute="", prefix=""):
+         return self.process_punct(args, lambda x: self.stylehook(x, tag, attribute, prefix), 1)
+-    def replacemacro(self, args, with):
+-        return self.process_punct(args, lambda x: [with] + x, 1)
++    def replacemacro(self, args, with_var):
++        return self.process_punct(args, lambda x: [with_var] + x, 1)
+     def eval(self, args):
+         "Evaluate a macro, returning a list."
+         if args[0][0] == '.':
diff -Nurp doclifter-2.3.orig//debian/patches/series doclifter-2.3/debian/patches/series
--- doclifter-2.3.orig//debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ doclifter-2.3/debian/patches/series	2010-05-10 21:35:22.000000000 +0200
@@ -0,0 +1 @@
+python26-fixes.patch
diff -Nurp doclifter-2.3.orig//debian/rules doclifter-2.3/debian/rules
--- doclifter-2.3.orig//debian/rules	2010-05-10 19:48:25.000000000 +0200
+++ doclifter-2.3/debian/rules	2010-05-10 21:30:20.000000000 +0200
@@ -2,14 +2,16 @@
 
 #export DH_VERBOSE=1
 
+include /usr/share/quilt/quilt.make
+
 build: build-stamp
-build-stamp:
+build-stamp: patch
 	dh_testdir
 	# Nothing needs to be build. We *could* depends on xmlto and
 	# regenerate the docs.
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
